List document templates
https://api.light.inc/v1/document-templates
Returns the company's document templates, optionally filtered by document type
Authorization
Send one of these on every request. See Authentication for how to get credentials.
- API key
Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.
- Bearer token
Query parameters
-
companyEntityIdstring · uuidOnly return templates that apply to this company entity
-
sortstringSort string in the format
field:direction. To provide multiple sort fields, separate them with commas.Available directions:
asc,desc.Available fields:
name,createdAt. -
filterstringFilter string in the format
field:operator:value. To provide multiple filters, separate them with commas.Available operators:
eq,ne,in,not_in,gt,gte,lt,lte.- For
inandnot_inoperators, provide multiple values separated by the pipe character (|).
Available fields:
id,name,description,documentType,state. - For
-
limitinteger · int32Maximum number of items to return. Default is 50, maximum is 200.
-
offsetinteger · int64Number of items to skip before starting to collect the result set
Response
-
totalinteger · int64 -
recordsarray of object-
idstring · uuidUnique identifier for the object
-
namestringName of the template
-
descriptionstringFree-text description of the template
-
documentTypestringThe kind of document the template produces
CUSTOMER_CREDIT- Credit note issued to a customerINVOICE_PAYABLE_SELF_BILLED- Self-billed invoice issued on behalf of a vendorINVOICE_RECEIVABLE- Sales invoice issued to a customerPURCHASE_ORDER- Purchase order sent to a vendor
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
CUSTOMER_CREDITINVOICE_PAYABLE_SELF_BILLEDINVOICE_RECEIVABLEPURCHASE_ORDER -
companyEntityIdsarray of string · uuidIDs of the company entities the template applies to
-
statestringWhether the template is active or archived
ACTIVE- The template can be assigned to new documentsARCHIVED- The template is archived and can no longer be assigned
⚠️ This enum is not exhaustive; new values may be added in the future.
One of
ACTIVEARCHIVED
-